## gdal 1.2.5

=== ogr/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 DEPLIBS	=	$(OGR_FRMTS)
 !ENDIF
 
-default:        ogr.lib ogrinfo.exe test_ogrsf.exe ogr2ogr.exe
+default:        ogr.lib ogrinfo.exe test_ogrsf.exe ogr2ogr.exe ogrtindex.exe
 
 ogrsf_frmts\ogrsf_frmts.lib:
 
@@ -110,6 +110,7 @@
 install:	default
 	copy ogrinfo.exe $(BINDIR)
 	copy ogr2ogr.exe $(BINDIR)
+	copy ogrtindex.exe $(BINDIR)
 
 clean:
 	-del *.obj
