=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 GDAL_ROOT	=	..\..
 
 DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
-			rec mem vrt $(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
-			$(ODBCDIR)
+			rec mem vrt csv \
+			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
+			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -31,6 +32,16 @@
 PG_OBJ = pg\*.obj
 !ENDIF
 
+!IFDEF MYSQL_INC_DIR
+MYSQL_DIR = mysql
+MYSQL_OBJ = mysql\*.obj
+!ENDIF
+
+!IFDEF SQLITE_LIB
+SQLITE_DIR = sqlite
+SQLITE_OBJ = sqlite\*.obj
+!ENDIF
+
 default:
 	for %d in ( $(DIRLIST) ) do \
 		cd %d \
@@ -40,9 +51,9 @@
 	lib /out:ogrsf_frmts.lib generic\*.obj shape\*.obj ntf\*.obj \
 				 sdts\*.obj s57\*.obj tiger\*.obj gml\*.obj \
 				 mitab\*.obj dgn\*.obj avc\*.obj mem\*.obj \
-				 vrt\*.obj \
-				$(OGDIOBJ) $(ODBCOBJ) \
-				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) rec\*.obj
+				 vrt\*.obj csv\*.obj rec\*.obj \
+				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
+				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \
@@ -64,3 +75,8 @@
 		cd %d \
 		&& nmake /NOLOGO /f makefile.vc clean \
 		&& cd ..
+
+html-install:
+	copy *.html $(HTMLDIR)
+	-for %d in ( $(DIRLIST) ) do \
+		copy %d\drv_*.html $(HTMLDIR)
