=== ogr/ogrsf_frmts/shape/Makefile ===

OBJ     =       shape2ogr.obj shpopen.obj dbfopen.obj ogrshapedriver.obj \
		ogrshapedatasource.obj ogrshapelayer.obj 
EXTRAFLAGS =	-I.. -I..\..

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb
