## gdal 1.3.1

=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
 			rec mem vrt csv \
 			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
-			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR)
+			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -13,8 +13,13 @@
 !ENDIF
 
 !IFDEF ODBC_SUPPORTED
-ODBCDIR	=	odbc
-ODBCOBJ =	odbc\*.obj
+ODBCDIR	=	odbc pgeo
+ODBCOBJ =	odbc\*.obj pgeo\*.obj
+!ENDIF
+
+!IFDEF SQLITE_LIB
+SQLITE_DIR	=	sqlite
+SQLITE_OBJ =	sqlite\*.obj
 !ENDIF
 
 !IFDEF OCI_LIB
@@ -37,9 +42,9 @@
 MYSQL_OBJ = mysql\*.obj
 !ENDIF
 
-!IFDEF SQLITE_LIB
-SQLITE_DIR = sqlite
-SQLITE_OBJ = sqlite\*.obj
+!IFDEF ILI_ENABLED
+ILI_DIR = ili
+ILI_OBJ = ili\*.obj ili\iom\*.obj
 !ENDIF
 
 default:
@@ -53,7 +58,8 @@
 				 mitab\*.obj dgn\*.obj avc\*.obj mem\*.obj \
 				 vrt\*.obj csv\*.obj rec\*.obj \
 				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
-				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ)
+				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ) \
+				$(ILI_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \
