## gdal 1.3.2

=== ogr/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 		ogrfeaturestyle.obj ogr_srs_esri.obj ogrfeaturequery.obj \
 		ogr_srs_validate.obj ogr_srs_xml.obj ograssemblepolygon.obj \
 		ogr2gmlgeometry.obj gml2ogrgeometry.obj ogr_srs_pci.obj \
-		ogr_srs_usgs.obj ogr_srs_dict.obj
+		ogr_srs_usgs.obj ogr_srs_dict.obj ogr_srs_panorama.obj
 
 OBJ_OLEDB =	oledb_sup.obj \
 		sfcenumerator.obj sfcdatasource.obj sfctable.obj
@@ -111,10 +111,12 @@
 	copy ogrinfo.exe $(BINDIR)
 	copy ogr2ogr.exe $(BINDIR)
 	copy ogrtindex.exe $(BINDIR)
+	-copy *.exe.manifest $(BINDIR)
 
 clean:
 	-del *.obj
-        -del *.exe
+	-del *.exe
+	-del *.exe.manifest
 	-del *.lib
 	-del *.pdb
 	-del *.ilk
