=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
 			rec mem vrt csv \
-			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) \
-			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR)
+			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) $(DWGDIR) \
+			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR) \
+			$(SDE_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -37,6 +38,16 @@
 PG_OBJ = pg\*.obj
 !ENDIF
 
+!IFDEF DWGDIRECT
+DWGDIR = dxfdwg
+DWG_OBJ = dxfdwg\*.obj
+!ENDIF
+
+!IFDEF SDE_LIB
+SDE_DIR = sde
+SDE_OBJ = sde\*.obj
+!ENDIF
+
 !IFDEF MYSQL_INC_DIR
 MYSQL_DIR = mysql
 MYSQL_OBJ = mysql\*.obj
@@ -59,7 +70,7 @@
 				 vrt\*.obj csv\*.obj rec\*.obj \
 				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
 				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ) \
-				$(ILI_OBJ)
+				$(ILI_OBJ) $(DWG_OBJ) $(SDE_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \
