=== ogr/ogrsf_frmts/ogdi/Makefile ===

OBJ	=	ogrogdidriver.obj ogrogdidatasource.obj ogrogdilayer.obj

EXTRAFLAGS =	-I.. -I..\..

GDAL_ROOT	=	..\..\..

!INCLUDE $(GDAL_ROOT)\nmake.opt

default:	$(OBJ)

clean:
	-del *.obj *.pdb
