=== ogr/ogrsf_frmts/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 GDAL_ROOT	=	..\..
 
-DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml avc \
+DIRLIST		=	generic shape ntf sdts tiger s57 dgn mitab gml kml avc \
 			rec mem vrt csv \
 			$(OGDIDIR) $(FMEDIR) $(OCIDIR) $(PG_DIR) $(DWGDIR) \
 			$(ODBCDIR) $(SQLITE_DIR) $(MYSQL_DIR) $(ILI_DIR) \
-			$(SDE_DIR)
+			$(SDE_DIR) $(IDB_DIR)
 
 !INCLUDE $(GDAL_ROOT)\nmake.opt
 
@@ -58,6 +58,11 @@
 ILI_OBJ = ili\*.obj ili\iom\*.obj
 !ENDIF
 
+!IFDEF INFORMIXDIR
+IDB_DIR = idb
+IDB_OBJ = idb\*.obj
+!ENDIF
+
 default:
 	for %d in ( $(DIRLIST) ) do \
 		cd %d \
@@ -67,10 +72,10 @@
 	lib /out:ogrsf_frmts.lib generic\*.obj shape\*.obj ntf\*.obj \
 				 sdts\*.obj s57\*.obj tiger\*.obj gml\*.obj \
 				 mitab\*.obj dgn\*.obj avc\*.obj mem\*.obj \
-				 vrt\*.obj csv\*.obj rec\*.obj \
+				 vrt\*.obj csv\*.obj rec\*.obj kml\*.obj \
 				$(OGDIOBJ) $(ODBCOBJ) $(SQLITE_OBJ) \
 				$(FMEOBJ) $(OCIOBJ) $(PG_OBJ) $(MYSQL_OBJ) \
-				$(ILI_OBJ) $(DWG_OBJ) $(SDE_OBJ)
+				$(ILI_OBJ) $(DWG_OBJ) $(SDE_OBJ) $(IDB_OBJ)
 	lib /out:ogrsf_frmts_sup.lib \
 				 ..\..\frmts\iso8211\*.obj \
 				 ..\..\frmts\sdts\sdtsattrreader.obj \
