## gdal 1.5.2-3

=== debian/changelog ===
gdal (1.5.2-3) etch-backports; urgency=high

  * Backported to etch.
  * Moved libcurl4-dev -> libcurl3-dev in build-dep.
  * Using bpo libtool to respect versioning restriction and changed minimal
    version to match that available in bpo.
  * In build-deps:
    o Moved libnetcdf-dev -> netcdfg-dev
    o Moved libgif-dev -> libungif4-dev
    o Moved libxerces-c2-dev -> libxerces27-dev
  * Does not regenerate python swig stuff in debian/rules
    due to incompatibilities among etch swig version and gdal.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 28 Oct 2008 17:59:53 +0100

gdal (1.5.2-3) unstable; urgency=low

  * [PATCH] sincos.dpatch: the sincos() function is already defined
    in libm. Hopefully this is the only case of a redefinition
    of a standard weak function. This is exploited casually only in
    case of an optimization because of the reason exposed in
    http://www.nabble.com/Re%3A-g.region--g-crashes-in-a-latlon-location-p18579971.html
    (closes: #489124)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 22 Jul 2008 10:30:00 +0200

gdal (1.5.2-2) unstable; urgency=low

  * Updated build-deps:
  	netcdfg-dev -> libnetcdf-dev
        libungif4-dev -> libgif-dev
  * Policy bumped to 3.8.0.
  * Added build-dep on libexpat1-dev to enable use of Expat library.
  * Long descriptions revised.
  * [PATCH] New eoverflow.dpatch.
    It fixes largefile breakage introduced in recent versions.
    See http://trac.osgeo.org/gdal/ticket/2437.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 02 Jul 2008 17:27:38 +0200

gdal (1.5.2-1) unstable; urgency=low

  * New upstream release. This is a bug fix release. 
    (closes: #485582)
  * Patchset updated: removed max.dpatch, merged upstream.
  * Added a gdal-grass stanza in debian/rules to generate the gdal-grass 
    tarball on fly.
  * Added a Suggests for python-gdal in gdal-bin stanza within debian/control. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Jun 2008 16:08:05 +0200

gdal (1.5.1-5) unstable; urgency=low

  * Installs gdal2tiles.py and other python scripts, previously missing.
    Due to dependency from python-gdal extensions, scripts are installed in
    that package instead of gdal-bin.
    (closes: #484559)
  * Removed ogr.py.dpatch for #473912. Fix needs to be applied on fly to
    be effective. It also causes a twice build FTBS. Added patch build-dep
    to apply ogr.py.diff in debian/rules.
    (closes: #473912)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 06 Jun 2008 23:15:12 +0200

gdal (1.5.1-4) unstable; urgency=medium

  * [PATCH] ogr.py.dpatch added to manage #2187 upstream issue. Thanks Steko.
    (closes: #473912)
  * [PATCH] gdalpaths.dpatch added to use the same plugins directory
    used currently in gdal-grass. It would require a much better approach
    upstream. See #2371 upstream bug. Also changed path for share dir path
    to /usr/share/gdal15.
    (closes: #481263)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 18 May 2008 09:55:57 +0200

gdal (1.5.1-3) unstable; urgency=low

  * Removed old-python stuff still around in debian/rules.
  * [PATCH] pythonmakefile.dpatch to fix wrong interpreter override in 1.5.1
    See #2333 on gdal trac.
    (closes: #476657)
  * Revised the build/install rules to manage better Swig stuff and
    specifically Python bindings.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 19 Apr 2008 20:51:48 +0200

gdal (1.5.1-2) unstable; urgency=low

  * Moved libxerces27-dev dependency to libxerces-c2-dev in debian/control as
    requested by xerces maintainer for migration.
  * [PATCH] max.dpatch to fix max/min macros re-definition on some archs
    which breaks C++ building. This is taken from GDAL patchest 13700+13701 in trunk.
    Thanks DronK.
    (closes: #474415)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 07 Apr 2008 12:58:56 +0200

gdal (1.5.1-1) unstable; urgency=low

  * New upstream release with useful bugfixes. No API/ABI changes, so
    retaining package versions.
    (closes: #464452)
  * Moved build-dep libcurl-dev -> libcurl3-dev in debian/control for etch backports.
  * Patch swig.dpatch removed (merged upstream).
  * Patch gcc32.dpatch removed (merged upstream).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Mar 2008 23:23:00 +0100

gdal (1.5.0-4) unstable; urgency=low

  * Fixed removing of .info file in python-central area
  * Fixed gcc43.dpatch to manage namespace issue. This is not accepted upstream.
    (closes: #462709)
  * Updated debian/TODO.
  * Forcing regeneration of perl wrappers with current Swig in debian/rules
    as suggested by Pabs.
    (closes: #466785)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 14 Mar 2008 15:57:34 +0100

gdal (1.5.0-3) unstable; urgency=low

  * [debian/rules] Removing LICENSE.TXT placed in the data dir.
  * [debian/rules] Added explicit python-binding generation previously missing
    Now installs files from new locations because 1.5 moved to ng-python
    (swig-based) support. (closes: #463077)
  * Patch swig.dpatch changed to use the correct python interpreter at building
    time as found at configuration time. Old pymod fix removed.
  * [debian/control] Changed python-numeric -> python-numpy build-dep due to
    new-generation python support.
  * [debian/rules] Added missing dh_perl call.
    (closes: #463086)
  * [debian/rules] Added a info file exclusion at dh_pycentral call.
  * [debian/rules] Now removing info file installed in pycentral area.
  * Added gcc43.dpatch: remove transform() call.
    See http://trac.osgeo.org/gdal/changeset/13615?format=diff&new=13615 for fix.
    (closes: #462709)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 31 Jan 2008 14:23:29 +0100

gdal (1.5.0-2) unstable; urgency=low

  * Moved /usr/share/gdal -> /usr/share/gdal15 in order to avoid conflicting
    with previous upstream version.
    (closes: #462525)


