=== debian/control ===
Source: gdal
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Steve Halasz <debian@adkgis.org>, Francesco Paolo Lovergine <frankie@debian.org>, Petter Reinholdtsen <pere@debian.org>, Fabio Tranchitella <kobold@debian.org>, Paul Wise <pabs@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), zlib1g-dev,
 libtiff4-dev, libpng12-dev, libjpeg62-dev,
 libxerces27-dev, 
 python-dev, doxygen, d-shlibs, dpatch, python-all-dev (>= 2.3.5-11~), 
 python-central (>=0.5), libcurl3-dev|libcurl-dev, libsqlite3-dev,
 ruby, ruby1.8-dev, chrpath, swig, libtool (>=1.5.24-1), patch, libexpat1-dev
Standards-Version: 3.8.0
XS-Python-Version: all
Homepage: http://www.gdal.org/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-grass/packages/gdal/trunk
Vcs-Svn: svn://svn.debian.org/svn/pkg-grass/packages/gdal/trunk

Package: libgdal1-1.5.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: proj
Conflicts: libgdal1, libgdal1c2, libgdal1c2a, libgdal1-1.3.1, libgdal1-1.3.2
Replaces: libgdal1, libgdal1c2, libgdal1c2a, libgdal1-1.3.1, libgdal1-1.3.2
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal1-dev
Section: libdevel
Architecture: any
Depends: libgdal1-1.5.0 (=${binary:Version}), libc6-dev, libtiff4-dev, 
 libpng12-dev, libjpeg62-dev,
 libxerces27-dev, libsqlite3-dev,
 libcurl4-dev|libcurl3-dev
Suggests: libgdal-doc
Provides: libgdal-dev
Replaces: libgdal1-1.3.1-dev, libgdal1-1.3.2-dev
Conflicts: libgdal1-1.3.2-dev, libgdal1-1.3.1-dev
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script). 

Package: libgdal-doc
Section: doc
Architecture: all
Suggests: libgdal1-1.5.0 (=${binary:Version})
Homepage: http://www.gdal.org/#index_userdocs
Description: Documentation for the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains documentation for GDAL/OGR API.

Package: gdal-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}
Homepage: http://www.gdal.org/gdal_utilities.html
Suggests: python-gdal
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.
