=== debian/watch ===
version=2
ftp://ftp.remotesensing.org/pub/gdal/gdal-([0-9].*)\.tar\.gz debian uupdate
